Installing Postgres 9.4.5 on Ubuntu Trusty


By default on Ubuntu Trusty there is only Postgres 9.3 available This shows how to get the latest version installed.

Add the Postgres Repository:
echo "deb http://apt.postgresql.org/pub/repos/apt/ trusty-pgdg main" > /etc/apt/sources.list.d/postgres.list

Import the repository key, and run an update:
wget https://www.postgresql.org/media/keys/ACCC4CF8.asc
apt-key add ACCC4CF8.asc
apt-get update

Install Postgres:
apt-get install postgresql-9.4